Permalink
Browse files

Version 0.5.0, move to .gemspec

  • Loading branch information...
1 parent 013b1a6 commit 28357afbba1b268c868dbcec701f10f6c647308c Bruce Williams committed May 9, 2011
Showing with 37 additions and 13 deletions.
  1. +1 −0 .gitignore
  2. +10 −13 Rakefile
  3. +23 −0 ie_conditional_tag.gemspec
  4. +3 −0 lib/ie_conditional_tag/version.rb
View
@@ -19,3 +19,4 @@ rdoc
pkg
## PROJECT::SPECIFIC
+*.gem
View
@@ -1,20 +1,17 @@
require 'rubygems'
require 'rake'
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "ie_conditional_tag"
- gem.summary = %Q{IE conditional comments for Rails}
- gem.description = %Q{Provides an easy-to-use helper for generating multiple tags inside IE-specific conditional comments}
- gem.email = "bruce@codefluency.com"
- gem.homepage = "http://github.com/bruce/ie_conditional_tag"
- gem.authors = ["Anthony Burns", "Bruce Williams"]
- gem.add_dependency 'rails', '~> 3.0'
+$LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
+
+require "ie_conditional_tag/version"
+
+namespace :gem do
+ task :build do
+ system "gem build ie_conditional_tag.gemspec"
+ end
+ task :release => :build do
+ system "gem push ie_conditional_tag-#{IEConditionalTag::VERSION}"
end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
end
require 'rake/testtask'
@@ -0,0 +1,23 @@
+# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib/', __FILE__)
+$:.unshift lib unless $:.include?(lib)
+
+require 'ie_conditional_tag/version'
+
+Gem::Specification.new do |s|
+ s.name = "ie_conditional_tag"
+ s.version = IEConditionalTag::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Anthony Burns", "Bruce Williams"]
+ s.email = ["bruce@codefluency.com"]
+ s.homepage = "http://github.com/bruce/ie_conditional_tag"
+ s.summary = "IE conditional comments for Rails"
+ s.description = "Provides an easy-to-use helper for generating multiple tags inside IE-specific conditional comments"
+
+ s.required_rubygems_version = ">= 1.3.6"
+
+ s.add_dependency "rails", "~> 3.0"
+
+ s.files = Dir.glob("{bin,lib,test}/**/*") + %w(LICENSE README.md)
+ s.require_path = 'lib'
+end
@@ -0,0 +1,3 @@
+module IEConditionalTag
+ VERSION = '0.5.0'
+end

0 comments on commit 28357af

Please sign in to comment.